#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

varying LOWP vec4 vColor;
varying vec2 vTexCoord;


uniform sampler2D u_texture;
uniform sampler2D u_texture1;

void main() {
	vec4 origColor = texture2D(u_texture, vTexCoord);
	vec4 blurredColor = texture2D(u_texture1, vTexCoord);
	
	vec4 result;
	result = origColor + blurredColor;
	result.a = vColor.a;
	result.rgb *= vColor.rgb;
	gl_FragColor = result;

}
